
Name:           kmozillahelper
Version:        0.5
Release:        alt3

Group:          Graphical desktop/KDE
Summary:        Mozilla KDE Integration
License:        X11/MIT

%define helper_version 5
Requires: xulrunner-kde4-version = %{helper_version}
Requires: kde4libs >= %{get_version kde4libs}

Source:         %name-%version.tar
Patch1: kmozillahelper-0.5-alt-set-def-browser.patch
Patch2: kmozillahelper-0.5-alt-install-program.patch

BuildRequires(pre):  kde4libs-devel
BuildRequires: gcc-c++ xorg-devel

%description
Package providing integration of Mozilla applications with KDE.

%prep
%setup -q
%patch1 -p1
%patch2 -p1


%build
  version=$(cat main.cpp | grep '#define HELPER_VERSION' | cut -d ' ' -f 3)
  if test "$version" != %{helper_version}; then
      echo fix the version in the .spec file
      exit 1
  fi
%K4build


%install
%K4install


%files
%_bindir/kmozillahelper
%_K4apps/kmozillahelper


%changelog
* Fri Oct 16 2009 Sergey V Turchin <zerg@altlinux.org> 0.5-alt3
- fix check for default browser

* Thu Oct 15 2009 Alexey Gladkov <legion@altlinux.ru> 0.5-alt2
- Move kmozillahelper to %%_bindir.

* Thu Sep 24 2009 Sergey V Turchin <zerg@altlinux.org> 0.5-alt1
- new version

* Thu Sep 17 2009 Sergey V Turchin <zerg@altlinux.org> 0.4-alt1
- initial spec

